#ifndef DEG2RAD
#define DEG2RAD (3.14159265358979323846/180.0)
#endif
#ifndef RAD2DEG
#define RAD2DEG (180.0/3.14159265358979323846)
#endif


typedef struct {
    float a0, a1, a2, b0, b1, b2;
} affine_params;

extern affine_params *init_coord_trans(char *),
                     **load_affine_tab(tabstruct *, int *);
extern void	     update_coord_trans(affine_params *,float, float, float,
                                        float, float, float),
                     get_coord_trans(affine_params *,float *, float *, float *,
                                     float *, float *, float *),
		     apply_coord_trans(affine_params *, float *, float *, int);
extern tabstruct    *create_affine_tab(affine_params **, int);

 

extern void	rd2xy(double, double, double, double, double, double, 
                      double, double, double, double,
		      double *, double *, float *, float *, int),
		xy2rd(double, double, double, double, double, double, 
                      double, double, double, double,
		      float *, float *, double *, double *, int);
