#include "flips.h"

/* 
   10.03.01:
   removed all compiler warnings under DEC

   24.04.03:
   removed the superfluous variables buffout and fltout

   23.01.05:
   I rearranged definitions of global variables to avoid
   double definitions during the linking process.
*/

extern int start;			     /* current first line of bufim */

extern int rescale_sky;

extern PIXTYPE ***bufim;
extern float *lineout,*tabsigma,*res;
extern float *sigma,*mode;
extern float *highrej, *lowrej;

extern struct LIST list;
extern struct IMAGE *infile,output;
extern struct CLIPPING clipping;
extern struct VERBOSE verbose;
extern struct BUFFER buffer;

double random_gauss(double sigma);

/* function definitions */
void init_para();
void fitsopen();
void fitsalloc();
void fitsclose();
void do_combine();
void load_buffers(int line_buf,int line_image);




