#ifndef MAXCHAR
#define MAXCHAR 128
#endif
#define MAXFILES 100

typedef struct {
    char listfile[MAXFILES][MAXCHAR];
    char outfile[MAXFILES][MAXCHAR];
    char stdcatfile[MAXCHAR];
    char conffile[MAXCHAR];
    char photomfile[MAXCHAR];
    char obstime[MAXCHAR];
    char chan_name[MAXCHAR];
    char airmass[MAXCHAR], fix_magname[MAXCHAR];
    bool fix_mag, relative;
    char phots[TEXTVECLEN], photerrs[TEXTVECLEN];
    char mags[TEXTVECLEN], magerrs[TEXTVECLEN], magsyserrs[TEXTVECLEN];
    double coef[NBANDS], zp_estimate[NBANDS], zp_error[NBANDS], tol;
    double coeferr[NBANDS], dummag;
    char exptime_keyw[TEXTVECLEN], exptime_unit[TEXTVECLEN];
    int  ilist, chan_nr;
} control_struct;

