""" AB.py: Calculate AB correction for given filters
    Input are an arbitrary number of filters and the
    last argument is the name of a text file containing
    the results
"""

from bpz_tools import *
import sys

fout = open(sys.argv[len(sys.argv) - 1], "w")

for i in range(1, len(sys.argv) - 1):
    fout.write("%s %f\n" % (sys.argv[i], VegatoAB(0.0, sys.argv[i])))

fout.close()


