# configuration file for SkyMaker II
# EB  10/05/97

#-------------------------------- Retina -------------------------------------

RETINA_NAME	default.ret	# Name of the file containing retina weights
RETINA_SIZE	5,5		# Retina size: <size> or <width>,<height>

#---------------------------- Neural Network ---------------------------------

LEARNING_TYPE	NEW		# Can be one of NONE, NEW, RESUME or RESTART
LEARNING_RATE	0.1, 50.0	# <learn rate> or <learn rate>,<max. learn rate>

NN_SIZE		12,8,1		# Number of neurons per layer (max. 4 layers)
PASSES		100000000	# Number of pattern presentations
BUFFER_MAXSIZE	200000		# Maximum number of different patterns used

#------------------------------ Background -----------------------------------

BACK_SIZE	128		# Background mesh: <size> or <width>,<height>
BACK_FILTERSIZE	3		# Background filter: <size> or <width>,<height>

#------------------------------ Check Image ----------------------------------

CHECKIMAGE_TYPE	NONE		# may be one of NONE, FILTERED, RESIDUALS
                                # or HISTOGRAM
CHECKIMAGE_NAME	check.fits	# Filename for the check-image

#----------------------------- Miscellaneous ---------------------------------

VERBOSE_TYPE	NORMAL		# may be QUIET, NORMAL or FULL

