typedef struct {
   char         pairfile[MAXCHAR];
   char         listfile[MAXCHAR][MAXCHAR];
   char         outfile[MAXCHAR][MAXCHAR];
   char         conffile[MAXCHAR];
   char         statfile[MAXCHAR];
   char         xpos[MAXCHAR], ypos[MAXCHAR], errpos[MAXCHAR];
   char         ra[MAXCHAR], dec[MAXCHAR], err[MAXCHAR];
   char         field[MAXCHAR], camera[MAXCHAR];
   char         crval1[MAXCHAR], crval2[MAXCHAR];
   char         crpix1[MAXCHAR], crpix2[MAXCHAR];
   char         cdelt1[MAXCHAR], cdelt2[MAXCHAR];
   char         xwid[MAXCHAR], ywid[MAXCHAR];
   int          xmin, xmax, ymin, ymax;
   int          pdeg, niter;
   double       fdeg[MAXCHAR];
   double       epoch, xpixsize, ypixsize;
   char         xm2[MAXCHAR], ym2[MAXCHAR], corr[MAXCHAR];
   int          ilist;
   char		data_type[MAXCHAR];
} control_struct;
