#ifndef MAXCHAR
#define MAXCHAR 128
#endif
#define MAXFILES 100

typedef struct {
    char listfile[MAXFILES][MAXCHAR];
    char outfile[MAXFILES][MAXCHAR];
    char stdcatfile[MAXCHAR];
    char conffile[MAXCHAR];
    char photomfile[MAXCHAR];
    char night_nr[MAXCHAR];
    char chan_name[MAXCHAR];
    int  flag_mask, imaflags_mask, arti_mask;
    char airmass[MAXCHAR], obstime[MAXCHAR];
    char phots[TEXTVECLEN], photerrs[TEXTVECLEN];
    char stdmags[TEXTVECLEN], stdlims[TEXTVECLEN];
    char exptime_keyw[TEXTVECLEN], exptime_unit[TEXTVECLEN];
    double coef[NBANDS], zp_estimate[NBANDS], zp_error[NBANDS], tol;
    double coeferr[NBANDS];
    bool fix_coef, fix_zp, do_fit;
    int  ilist, chan_nr, best_phot;
} control_struct;

typedef struct {
    float *phot, *photerr, *extmags, *stdmag, *zp;
    double airm, time;
    short int flag, arti, lflag;
    int fpos;
    long int imaflag;
    char stdname[MAXCHAR];
} photostruct;
