#!/bin/bash

# script to create a tarball from the 'unofficial'
# LDAC pipeline version

# call script one level above the ldacpipeline tree!
# It creates a subdirectory tmp_ldacpipeline and an 
# ldacpipeline tarball within.

# $1: version number of 'unofficial' ldacpipeline package
  
test -d tmp_ldacpipeline || mkdir tmp_ldacpipeline

find ./tmp_ldacpipeline -name ldacpipeline\* -exec rm -rf {} \;

cp -r ./ldacpipeline ./tmp_ldacpipeline/ldacpipeline-$1

find ./tmp_ldacpipeline/ldacpipeline-$1 -name CVS -exec rm -rf {} \;
find ./tmp_ldacpipeline/ldacpipeline-$1 -name \*.a -exec rm {} \;
find ./tmp_ldacpipeline/ldacpipeline-$1 -name obj_Linux_64 -type d -exec rm -rf {} \;
rm -rf ./tmp_ldacpipeline/ldacpipeline-$1/bin/Linux_64

cd tmp_ldacpipeline
tar cvfz ldacpipeline-$1.tgz ./ldacpipeline-$1

cd ..
