#include <stdio.h>
#include <math.h>
#include "utils_globals.h"

int reject(float **data, int **idx, int n, float ave, float sdev)
{
    int		i, j;
    float	*ndata, *odata;
    int		*nidx, *oidx;

    ED_MALLOC(ndata, "reject", float, n);
    ED_MALLOC(nidx, "reject", int, n);
    odata = *data;
    oidx = *idx;
    for (i=0,j=0;i<n;i++) {
       if ((odata[i] > ave - 3.0 * sdev) &&
           (odata[i] < ave + 3.0 * sdev)) {
          ndata[j] = odata[i];
          nidx[j] = oidx[i];
          j++;
       }
    }
    ED_FREE(*data);
    ED_FREE(*idx);
    *data = ndata;
    *idx  = nidx;
    return j;
}
